ReplicationParams (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class ReplicationParams

- java.lang.Object
- - org.apache.cassandra.schema.ReplicationParams

-     public final class ReplicationParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLASS`
    `java.lang.Class<? extends AbstractReplicationStrategy>` | `klass`
    `com.google.common.collect.ImmutableMap<java.lang.String,java.lang.String>` | `options`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `asMap()`
    `boolean` | `equals(java.lang.Object o)`
    `static ReplicationParams` | `fromMap(java.util.Map<java.lang.String,java.lang.String> map)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final java.lang.String CLASS

      See Also:
        Constant Field Values

    - #### klass

          public final java.lang.Class<? extends AbstractReplicationStrategy> klass

    - #### options

          public final com.google.common.collect.ImmutableMap<java.lang.String,java.lang.String> options

  - ### Method Detail

    - #### validate

          public void validate(java.lang.String name)

    - #### fromMap

          public static ReplicationParams fromMap(java.util.Map<java.lang.String,java.lang.String> map)

    - #### asMap

          public java.util.Map<java.lang.String,java.lang.String> asMap()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation